feature/1129 integrate webauthn controller (#1135)

* **refactor: remove nebula static file serving**
* **feat: Add login, register, and authorize sections**
* **feat: implement registration form UI**
* **refactor: abstract template rendering to ctx module**
* **feat: add deployment target for Highway gateway**
* **feat: migrate Highway gateway to Cloudflare Workers**
* **feat: refactor nebula routes to components**
* **chore(deps): remove unused dependencies**
* **chore(deps): remove unused dependencies**
* **feat: add user and relaying party entities**
* **refactor: remove unused imports**
* 
* **feat: add motion scale-in and opacity-in animations**
* **refactor: move dwn and orm packages to internal**
* **refactor: update imports to use relative paths**
* **refactor: rename build targets for clarity**
* **feat: add RelayingPartyEntity model**
* **refactor: rename creds templates to credentials**
* **refactor: remove unused entity model**
* **refactor: move models to internal package**
* **refactor: move models package to internal/orm**
* **feat: implement broadcast channel context**
* **feat: remove config upload step**
* **feat: remove unused configuration files**
* **feat: migrate authentication logic to workers**
* **feat: remove cloudflared dependency**
* **refactor: move client related routes to 'routes/client.go'**
* **feat: implement macaroon middleware**
* **refactor: move fetch package to cmd/motr**
* **feat: remove auth and grant endpoints**
* **docs: add conceptual descriptions to did module**

<sub><a
href="https://huly.app/guest/sonrhq?token=eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJsaW5rSWQiOiI2NzA4MTIyNmM3ZDZhNTZhOGY4ZGFjOTciLCJndWVzdCI6InRydWUiLCJlbWFpbCI6IiNndWVzdEBoYy5lbmdpbmVlcmluZyIsIndvcmtzcGFjZSI6InctcHJhZC1zb25yaHEtNjVlZjcyZDQtY2UyOGQ0ODJjNi00ZWY4ZDAifQ.j-w5jk5Ji-0vCkaxVaK8pDMIOhRsXmG7o6oZictoHYE">Huly&reg;:
<b>ENG-1057</b></a></sub>
This commit is contained in:
Prad Nukala
2024-10-10 13:44:17 -04:00
committed by GitHub
parent 0a16e41c78
commit 279ab6e5e3
189 changed files with 1515 additions and 1432 deletions
-8
View File
@@ -1,8 +0,0 @@
#!/bin/zsh
export ACC0_MNEMONIC=$(skate get ACC0_MNEMONIC)
export ACC1_MNEMONIC=$(skate get ACC1_MNEMONIC)
export CHAIN_ID=$(skate get CHAIN_ID)
export DENOM=$(skate get DENOM)
export KEYRING=$(skate get KEYRING)
export MONIKER=$(skate get MONIKER)
-40
View File
@@ -1,40 +0,0 @@
#!/bin/bash
# Exit immediately if a command exits with a non-zero status.
set -e
# Function to check if a command exists.
command_exists() {
command -v "$1" >/dev/null 2>&1
}
echo "Starting the build process for Caddy with Cloudflare DNS module..."
# Check if Go is installed
if ! command_exists go; then
echo "Go is not installed. Please install Go before running this script."
exit 1
fi
# Set Go environment variables
export GOPATH=$(go env GOPATH)
export GOBIN=$GOPATH/bin
export PATH=$PATH:$GOBIN
# Install xcaddy if not present
if ! command_exists xcaddy; then
echo "xcaddy not found. Installing xcaddy..."
curl -sSfL https://raw.githubusercontent.com/caddyserver/xcaddy/master/install.sh | bash -s -- -b $GOBIN
fi
# Build Caddy with the Cloudflare DNS module
echo "Building Caddy with the Cloudflare DNS module..."
xcaddy build --with github.com/caddy-dns/cloudflare
mv caddy ../build/caddy
echo "Caddy has been built successfully with the Cloudflare DNS module."
# Optional: Move the caddy binary to /usr/local/bin (requires sudo)
# echo "Moving caddy to /usr/local/bin (requires sudo)..."
# sudo mv caddy /usr/local/bin/
# echo "Caddy has been installed to /usr/local/bin."
-14
View File
@@ -1,14 +0,0 @@
#!/bin/bash
set -e
# Get the current version from most recent git tag
export VERSION=$(git describe --tags --abbrev=0)
# Check if the version is a valid semantic version
if ! [[ $VERSION =~ ^v?[0-9]+\.[0-9]+\.[0-9]+$ ]]; then
echo "Invalid version format: $VERSION"
exit 1
fi
# Check if the version has already been bumped